<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.aiccs.abnormal.mapper.TrentassetsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.aiccs.abnormal.entity.Trentassets">
        <id column="AssetID" property="AssetID" />
        <result column="EntID" property="EntID" />
        <result column="EntityNo" property="EntityNo" />
        <result column="AssetsTotalAmount" property="AssetsTotalAmount" />
        <result column="AssetsIsShow" property="AssetsIsShow" />
        <result column="LiabilitiesAmount" property="LiabilitiesAmount" />
        <result column="LiabilitiesIsShow" property="LiabilitiesIsShow" />
        <result column="SalesAmount" property="SalesAmount" />
        <result column="SalesIsShow" property="SalesIsShow" />
        <result column="ProfitsAmount" property="ProfitsAmount" />
        <result column="ProfitsIsShow" property="ProfitsIsShow" />
        <result column="NetProfitAmount" property="NetProfitAmount" />
        <result column="NetProfitIsShow" property="NetProfitIsShow" />
        <result column="TaxAmount" property="TaxAmount" />
        <result column="TaxIsShow" property="TaxIsShow" />
        <result column="EquityAmount" property="EquityAmount" />
        <result column="EquityIsShow" property="EquityIsShow" />
        <result column="BusinessAmount" property="BusinessAmount" />
        <result column="BusinessIsShow" property="BusinessIsShow" />
        <result column="coinid" property="coinid" />
        <result column="createDate" property="createDate" />
        <result column="updateDate" property="updateDate" />
        <result column="Dstate" property="Dstate" />
        <result column="ReportYear" property="ReportYear" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        AssetID, EntID, EntityNo, AssetsTotalAmount, AssetsIsShow, LiabilitiesAmount, LiabilitiesIsShow, SalesAmount, SalesIsShow, ProfitsAmount, ProfitsIsShow, NetProfitAmount, NetProfitIsShow, TaxAmount, TaxIsShow, EquityAmount, EquityIsShow, BusinessAmount, BusinessIsShow, coinid, createDate, updateDate, Dstate, ReportYear
    </sql>

</mapper>
